title = "Buku"
url = "/buku/:slug"
layout = "default"
is_hidden = 0

[single]
slug = "{{ :slug }}"
==

<style>
    .cover {
        width: 200px;
    }

    .card-cover {
        padding: 20px 15px 20px 15px;
        text-align: center;
    }

    .meta-cover {
        padding: 10px 15px 10px 15px;
    }

    .view {
        display: flex;
        align-items: center;
    }

    .mr-atas {
        margin-top: -15px;
    }

    .view-tab {
        margin-top: -60px;
    }


    .viewerjs {
        width: 600px;
        height: 500px;
    }


    @media only screen and (max-width: 600px) {

        .viewerjs {
            width: 250px;
            height: 200px;
        }

    }


    @media only screen and (min-width: 600px) {
        .viewerjs {
            width: 300px;
            height: 200px;
        }
    }


    @media only screen and (min-width: 768px) {
        .viewerjs {
            width: 450px;
            height: 300px;
        }
    }


    @media only screen and (min-width: 992px) {
        .viewerjs {
            width: 600px;
            height: 500px;
        }
    }


    @media only screen and (min-width: 1200px) {
        .viewerjs {
            width: 600px;
            height: 500px;
        }
    }

    .center {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .tag {
        margin-right: 10px;
    }

</style>

{% set record = single.record %}

<nav class="blue-grey darken-1">
    <div class="nav-wrapper container">
        <div class="col s12">
            <a href="/" class="breadcrumb">Home</a>
            <a href="{{ 'satker' | page({ slug : record.satker.slug })}}"
                class="breadcrumb">{{ record.satker.nama }}</a>
            <a href="#" class="breadcrumb">{{ record.judul }}</a>
        </div>
    </div>
</nav>

<div class="container" style="margin-top: 20px;">
    <div class="row">
        <div class="col s12 m4 l4 xl4">
            <div class="card white z-depth-2 medium card-cover">
                <div class="row">
                    <div class="col s12">
                        <img src="{{ record.cover.getPath() }}" class="cover">
                    </div>
                </div>
                <div class="row">
                    <div class="col s12">
                        <a href="{{ 'full' | page ( { slug: record.slug }  ) }}"
                            class="waves-effect waves-light btn">baca fullscreen</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="col s12 m8 l8 xl8">
            <div class="card grey lighten-2 z-depth-2 meta-cover medium">
                <h5>{{ record.judul }}</h5>
                <div class="row">
                    <div class="col s3">
                        Oleh
                    </div>
                    <div class="col s9">{{ record.satker.nama }}</div>


                </div>
                <div class="row mr-atas">
                    <div class="col s3">
                        Pengarang
                    </div>
                    <div class="col s9">{{ record.pengarang }}</div>


                </div>
                <div class="row mr-atas">
                    <div class="col s3 view">
                        <i class="material-icons">visibility</i> Dilihat
                    </div>
                    <div class="col s9">{{ record.lihat }}</div>
                    </div>
                    <div class="row mr-atas">
                        <a href="#" onclick="clickFavorite(event, {{ record.id }})">
                            <div class="col s3 view">
                                <i class="material-icons">favorite</i> Difavorite
                            </div>
                        </a>
                        <div class="col s9">{{ record.favorite }}</div>
                    </div>
                    <div class="row mr-atas">
                        <div class="col s3 view">
                            <i class="material-icons">file_download</i> Download
                        </div>
                        <div class="col s9">{{ record.download }}</div>
                    </div>
                    <div class="row mr-atas">
                        <div class="col s3 view">
                            <i class="material-icons">tags</i> Tag
                        </div>
                        <div class="col s9">
                            {% for tag in record.tags %}
                                <span class="tag">
                                    <a href="{{ 'tag' | page ( { slug: tag.slug }  ) }}">{{ tag.tag }}</a> 
                                </span>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="row">
                        {{ record.deskripsi }}
                    </div>
                </div>
                <!-- <div class="row view-tab">
                <div class="col s12">
                    <ul class="tabs grey lighten-2">
                        <li class="tab col s3"><a href="#view" class="active">View</a></li>
                        <li class="tab col s3"><a href="#review">Review <span class="badge blue white-text">4</span></a></li>
                    </ul>
                </div>
            </div> -->
            </div>
        </div>
        <div class="row">
            <div class="col s12 center">
                <iframe class="viewerjs" src="{{ 'assets/viewerjs/index.html'|theme }}#{{ record.file.path }}"></iframe>
            </div>
            <!-- <div id="view" class="col s12">
            VIEW
        </div>
        <div id="review" class="col s12">
            REVIEW
        </div> -->
        </div>
    </div>

    {% put scripts %}
    <script>
        /*
    $(document).ready(function () {
        $('.tabs').tabs();
    });
    */

    </script>
    {% endput %}
